dear community,

i am charged to prepare/install a test environment in company network in simple configuration: 1 master and 1 worker. For me is prepared two hosts with ssh access. The Base OS of hosts is "openSuSe Leap 15.1". Today i tried to begin with installation, but was immediately confused. In download folder i met four images and context of each is about SLE-15-SP1. I can't get how to begin with installation.

Yes, i went over the "QuickStart Guide", but didn't find any clarification to subject of my task.

Because of this my question:
1. Is it in general good idea to begin with "openSuSe Leap 15.1" ?
2. Is it possible to install CaaS 4 on the top of "openSuSe Leap 15.1" or the prerequisite is only the SLE 15 ?
3. How to begin with installation of CaaS 4

i would be very thankful for reply.